> For the complete documentation index, see [llms.txt](https://docs.mastersoftgroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/objects/parse-objects.md).

# Parse Objects

## Parse Objects

| [ParsedAddressAu](#parsedaddressau) | The result of a parsed Australian Address.  |
| ----------------------------------- | ------------------------------------------- |
| [ParsedAddressNz](#parsedaddressnz) | The result of a parsed New Zealand Address. |

### ParsedAddressAu <\<extends>> [AddressAu](/loqate-harmony-api/api-specification/objects/address-objects.md#addressau) <a href="#parsedaddressau" id="parsedaddressau"></a>

A ParsedAddressAu object extends a standard AddressAu object and is returned in the parse method response for Australian addresses.

See [AddressAu](/loqate-harmony-api/api-specification/objects/address-objects.md#addressau) for inherited attributes.

#### careOf

Type: StringAn optional 'Care Of' value for the parsed address.

#### exception

Type: StringA message outlining any errors that occuring during the parse process (e.g. "Not enough information").

#### JSON Representation

```
    {
    	"attributes": null,
    	"exception": null,
        "fullAddress": "c/o Bob Flemming, L 2 SE 202 220 GEORGE ST, SYDNEY NSW 2000",
        "country": "",
        "postcode": "2000",
        "street2": "",
        "street": "GEORGE ST",
        "streetName": "GEORGE",
        "streetSuffix": "", 
        "streetType": "ST",          
        "streetNumber": "220",
        "postal": "",
        "postalNumber": "",
        "postalType": "",         
        "buildingName": "",
        "subdwelling": "L 2 SE 202",
        "flatUnitNumber": "202",
        "flatUnitType": "SE",
        "floorLevelNumber": "2",
        "floorLevelType": "L",
        "lotNumber": null,        
        "eid": null,
        "id": null,
        "careOf": "c/o Bob Flemming",
        "exception": null,
        "locality": "SYDNEY",
        "state": "NSW"
    }
    
```

### ParsedAddressNz <\<extends>> [AddressNz](/loqate-harmony-api/api-specification/objects/address-objects.md#addressnz) <a href="#parsedaddressnz" id="parsedaddressnz"></a>

A ParsedAddressAu object extends a standard AddressNz object and is returned in the parse method response for New Zealand addresses.

See [AddressNz ](/loqate-harmony-api/api-specification/objects/address-objects.md#addressnz)for inherited attributes.

#### careOf

Type: StringAn optional 'Care Of' value for the parsed address.

#### exception

Type: StringA message outlining any errors that occuring during the parse process (e.g. "Not enough information").

#### JSON Representation

```
    {
        "fullAddress": "c/o Bob Flemming, 25 PANAMA STREET, WELLINGTON CENTRAL, WELLINGTON 6011",
        "attributes": null,        
        "country": "",
        "postcode": "6011",
        "street": "PANAMA STREET",
        "streetName": "PANAMA",
        "streetSuffix": "", 
        "streetType": "STREET",         
        "streetNumber": "25",
        "postal": "",
        "postalNumber": "",
        "postalType": "",         
        "buildingName": "",
        "subdwelling": "",
        "flatUnitNumber": "",
        "flatUnitType": "",
        "floorLevelNumber": "",
        "floorLevelType": "",
        "lotNumber": "",          
        "eid": null,
        "id": null,
        "exception": null,
        "careOf": "c/o Bob Flemming",
        "exception": null,
        "townCity": "WELLINGTON",
        "suburb": "WELLINGTON CENTRAL"
    }
    
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/objects/parse-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
